from application.command.EmitBackendEventCommand import (
    EmitBackendEventCommand,
)
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.shared.backend.BackendEvent import BackendEvent
from domain.shared.event.DomainEventBus import DomainEventBus


class EmitBackendEventCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (EmitBackendEventCommand) -> None
        DomainEventBus.emit(BackendEvent(command.event, command.data))
