from application.command.LoadDeviceCommand import LoadDeviceCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.lom.device.DeviceService import DeviceService
from shared.sequence.Sequence import Sequence


class LoadDeviceCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (LoadDeviceCommand) -> Sequence
        return self._container.get(DeviceService).load_device(command.enum_name)
