from application.command.LoadMinitaurCommand import LoadMinitaurCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.lom.instrument.InstrumentInterface import load_instrument_track
from domain.lom.instrument.instrument.InstrumentMinitaur import InstrumentMinitaur


class LoadMinitaurCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (LoadMinitaurCommand) -> None
        load_instrument_track(InstrumentMinitaur)
