from application.command.ReloadScriptCommand import ReloadScriptCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.lom.scene.SceneService import SceneService
from domain.lom.song.SongInitService import SongInitService
from domain.lom.track.TrackMapperService import TrackMapperService
from shared.logging.Logger import Logger


class ReloadScriptCommandHandler(CommandHandlerInterface):
    def handle(self, _):
        # type: (ReloadScriptCommand) -> None
        Logger.clear()
        self._container.get(TrackMapperService).tracks_listener()
        self._container.get(SceneService).scenes_listener()
        self._container.get(SongInitService).init_song()
