from typing import Optional

from application.command.SelectOrLoadDeviceCommand import SelectOrLoadDeviceCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.lom.device.DeviceService import DeviceService
from shared.sequence.Sequence import Sequence


class SelectOrLoadDeviceCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (SelectOrLoadDeviceCommand) -> Optional[Sequence]
        return self._container.get(DeviceService).select_or_load_device(command.device_name)
