from domain.lom.track.routing.InputRoutingChannelEnum import InputRoutingChannelEnum
from domain.lom.track.routing.InputRoutingTypeEnum import InputRoutingTypeEnum
from domain.lom.track.routing.RoutingDisplayNameDescriptor import (
    RoutingDisplayNameDescriptor,
)
from domain.lom.track.routing.RoutingTrackDescriptor import RoutingTrackDescriptor
from domain.lom.track.routing.TrackRoutingInterface import TrackRoutingInterface


class TrackInputRouting(TrackRoutingInterface):
    type = RoutingDisplayNameDescriptor("input_routing_type", InputRoutingTypeEnum)
    track = RoutingTrackDescriptor("input_routing_type")
    channel = RoutingDisplayNameDescriptor("input_routing_channel", InputRoutingChannelEnum)
