from typing_extensions import Protocol, TYPE_CHECKING

if TYPE_CHECKING:
    from shared.observer.Observable import Observable


class Observer(Protocol):
    def update(self, observable):
        # type: (Observable) -> None
        pass
