from application.command.LoadDrumRackCommand import LoadDrumRackCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.lom.sample.SampleCategoryEnum import SampleCategoryEnum
from domain.lom.track.TrackFactory import TrackFactory
from shared.sequence.Sequence import Sequence


class LoadDrumRackCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (LoadDrumRackCommand) -> Sequence
        return self._container.get(TrackFactory).add_sample_track(
            SampleCategoryEnum.from_value(command.sample_category.upper()), command.sample_subcategory
        )
