from application.command.RecordUnlimitedCommand import (
    RecordUnlimitedCommand,
)
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.track_recorder.RecordTypeEnum import RecordTypeEnum
from domain.track_recorder.RecordService import RecordService
from shared.Song import Song


class RecordUnlimitedCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (RecordUnlimitedCommand) -> None
        self._container.get(RecordService).record_track(
            Song.current_track(), RecordTypeEnum.MIDI_UNLIMITED
        )
