from application.command.SelectTrackCommand import SelectTrackCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from domain.shared.utils.list import find_if
from shared.Song import Song


class SelectTrackCommandHandler(CommandHandlerInterface):
    def handle(self, command):
        # type: (SelectTrackCommand) -> None
        track = find_if(lambda t: t.name == command.track_name, Song.simple_tracks())

        assert track is not None, "Couldn't find track %s" % command.track_name
        track.select()
