from typing import Optional

from application.command.ToggleArmCommand import ToggleArmCommand
from application.command_handler.CommandHandlerInterface import CommandHandlerInterface
from shared.Song import Song
from shared.sequence.Sequence import Sequence


class ToggleArmCommandHandler(CommandHandlerInterface):
    def handle(self, _):
        # type: (ToggleArmCommand) -> Optional[Sequence]
        return Song.current_track().arm_state.toggle()
